import { Row, Col } from "antd";
import React from "react";

const themeData = [
  {
    id: 1,
    img: require("@/assets/image/theme/1.svg").default,
    pageStyle: {
      
    },
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 2,
    img: require("@/assets/image/theme/2.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 3,
    img: require("@/assets/image/theme/3.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 4,
    img: require("@/assets/image/theme/4.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 5,
    img: require("@/assets/image/theme/5.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 6,
    img: require("@/assets/image/theme/6.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 7,
    img: require("@/assets/image/theme/7.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 8,
    img: require("@/assets/image/theme/8.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 9,
    img: require("@/assets/image/theme/9.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 10,
    img: require("@/assets/image/theme/10.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 11,
    img: require("@/assets/image/theme/11.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 12,
    img: require("@/assets/image/theme/12.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 13,
    img: require("@/assets/image/theme/13.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 14,
    img: require("@/assets/image/theme/14.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 15,
    img: require("@/assets/image/theme/15.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 16,
    img: require("@/assets/image/theme/16.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 17,
    img: require("@/assets/image/theme/17.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 18,
    img: require("@/assets/image/theme/18.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 19,
    img: require("@/assets/image/theme/19.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 20,
    img: require("@/assets/image/theme/20.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 21,
    img: require("@/assets/image/theme/21.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 22,
    img: require("@/assets/image/theme/22.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 23,
    img: require("@/assets/image/theme/23.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 24,
    img: require("@/assets/image/theme/24.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 25,
    img: require("@/assets/image/theme/25.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
  {
    id: 26,
    img: require("@/assets/image/theme/26.svg").default,
    pageStyle: {},
    nodeStyle: {},
    edgeStyle: {},
  },
];

export default function StyleConfig() {
  return (
    <Row justify="space-between" gutter={[8, 16]} className="px-16px">
      {themeData.map((item) => (
        <Col key={item.id} xs={12} sm={12} md={12} lg={12} xl={12} xxl={12}>
          <div className="w-86px h-86px rounded-8px border border-solid border-1px border-#d9e2ed hover:border-#067bef active:border-#067bef cursor-pointer">
            <img className="w-86px h-86px" src={item.img} />
          </div>
        </Col>
      ))}
    </Row>
  );
}
